%define _requires_exceptions pkgconfig\(.*\)

%define name    gok
%define version 2.30.1
%define release %mkrel 1

Summary: GNOME On-screen Keyboard 
Name: 	 	%{name}
Version: 	%{version}
Release: 	%{release}
License: LGPL
Group: Accessibility
URL: http://www.gok.ca/
Source0: ftp://ftp.gnome.org/pub/GNOME/sources/%{name}/%{name}-%{version}.tar.xz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires:	libxorg-x11-devel
BuildRequires:	libat-spi0-devel >= 1.5.0
BuildRequires:	gtk-doc
BuildRequires:	libgnomeui2-devel
BuildRequires:	libwnck-devel >= 2.13
BuildRequires:	libusb-devel
BuildRequires:	perl-XML-Parser
BuildRequires:	scrollkeeper
BuildRequires:  libxorg-x11-devel
BuildRequires:	libgnomespeech-devel
BuildRequires:	libglade2.0-devel
BuildRequires:	desktop-file-utils
Requires: scrollkeeper
Requires: libgail-gnome
Requires(post): scrollkeeper
Requires(postun): scrollkeeper
Requires:   glibc >= 2.10.1
Requires:   libstdc++6 >= 4.4.1
Obsoletes: %name < %version


%description 
The GNOME On-screen Keyboard (GOK) is a dynamic on-screen keyboard for
UNIX and UNIX-like operating systems.  It features Direct Selection,
Dwell Selection, Automatic Scanning and Inverse Scanning access
methods and includes word completion.

#german
%description -l de
Das GNOME-On-Screen Keyboard (GOK) ist eine dynamische On-Screen-Tastatur fürUNIX-und UNIX-artigen Betriebssystemen. Es verfügt über Direct Selection,Dwell Selection, automatisches Scannen und Inverse Scanning ZugangMethoden und enthält Wortvervollständigung.

%prep
%setup -q

%build
autoreconf -fis 
%configure2_5x --enable-gtk-doc --enable-libusb-input

#parallel build is broken
make

%install
rm -rf $RPM_BUILD_ROOT

GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1 %makeinstall_std

%find_lang %{name} --with-gnome

desktop-file-install --vendor="" \
  --remove-category="Application" \
  --add-category="Utility" \
  --add-category="Accessibility" \
  --add-category="X-MandrivaLinux-MoreApplications-Accessibility" \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications $RPM_BUILD_ROOT%{_datadir}/applications/*


#remove unpackaged files
rm -rf $RPM_BUILD_ROOT/var/lib/scrollkeeper

%post
%update_scrollkeeper
%post_install_gconf_schemas gok

%preun
%preun_uninstall_gconf_schemas gok

%postun
%clean_scrollkeeper

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(-,root,root,-)
%doc %{_datadir}/gtk-doc/html/*
%{_sysconfdir}/gconf/schemas/*
%{_bindir}/*
%{_libdir}/bonobo/servers/*
%{_datadir}/applications/*
%{_datadir}/gok
%_datadir/icons/hicolor/*/apps/*.*
%dir %{_datadir}/omf/*
%{_datadir}/omf/*/*-C.omf
%{_libdir}/pkgconfig/*
%{_datadir}/pixmaps/gok.png
%{_datadir}/sounds/freedesktop/stereo/goksound1.wav
%{_datadir}/sounds/freedesktop/stereo/goksound2.wav

%changelog
* Thu Sep 30 2010 Texstar <texstar at gmail.com> 2.30.1-1pclos2010
- 2.30.1

* Wed Mar 31 2010 siamer <siamer@wp.pl> 2.30.0-1pclos2010
- new version
- patch 0 & 1 no need, 

* Sat Jan 02 2010 Texstar <texstar at gmail.com> 2.29.2-2pclos2010
- rebuild

* Sun Nov 15 2009 slick50 <lxgator@gmail.com> 2.29.2-1pclos2010
- new version 2.29.2

* Fri Oct 23 2009 siamer <siamer@wp.pl> 2.28.1-1pclos2010
- new version 2.28.1
- added patch1

* Sun Apr 26 2009 siamer <siamer@wp.pl> 2.26.0-1pclos2009
- new version 2.26.0
- patch 1 desktopentry - no need any more


